{
  "type": "project",
  "license": "proprietary",
  "repositories": [
    {
      "type": "vcs",
      "url": "ssh://git@gitlab.2iopenservice.com/vincent/foselastica.git"
    },
    {
      "type": "vcs",
      "url": "ssh://git@gitlab.2iopenservice.com/opentalent/phpdocx.git"
    }
  ],
  "require": {
    "php": ">=8.1",
    "ext-ctype": "*",
    "ext-iconv": "*",
    "api-platform/core": "3.1.7",
    "beberlei/doctrineextensions": "^1.3",
    "blackfire/php-sdk": "^1.23",
    "composer/package-versions-deprecated": "^1.11",
    "doctrine/dbal": "^2.6",
    "doctrine/doctrine-bundle": "^2.1",
    "doctrine/doctrine-migrations-bundle": "^3.0",
    "doctrine/orm": "^2.9",
    "egulias/email-validator": "^3.0",
    "jbouzekri/phumbor-bundle": "^3.1.0",
    "knplabs/knp-gaufrette-bundle": "^0.8.0",
    "knplabs/knp-snappy-bundle": "^1.9",
    "lcobucci/jwt": "^4.1",
    "lexik/jwt-authentication-bundle": "^2.8",
    "liip/imagine-bundle": "^2.12",
    "lorenzo/pinky": "^1.0",
    "myclabs/php-enum": "^1.7",
    "nelmio/cors-bundle": "^2.1",
    "odolbeau/phone-number-bundle": "^3.1",
    "opentalent/phpdocx": "dev-master",
    "phpdocumentor/reflection-docblock": "^5.2",
    "ramsey/uuid": "^4.2",
    "ramsey/uuid-doctrine": "^2.0",
    "symfony/asset": "6.3.*",
    "symfony/console": "6.3.*",
    "symfony/doctrine-messenger": "6.3.*",
    "symfony/dotenv": "6.3.*",
    "symfony/error-handler": "6.3.*",
    "symfony/expression-language": "6.3.*",
    "symfony/flex": "^1.3.1",
    "symfony/framework-bundle": "6.3.*",
    "symfony/http-client": "6.3.*",
    "symfony/intl": "6.3.*",
    "symfony/lock": "6.3.*",
    "symfony/mailer": "6.3.*",
    "symfony/mercure": "^0.6.1",
    "symfony/mercure-bundle": "^0.3.4",
    "symfony/messenger": "6.3.*",
    "symfony/monolog-bundle": "^3.7",
    "symfony/polyfill-intl-icu": "^1.21",
    "symfony/polyfill-intl-messageformatter": "^1.24",
    "symfony/property-access": "6.3.*",
    "symfony/property-info": "6.3.*",
    "symfony/security-bundle": "6.3.*",
    "symfony/serializer": "6.3.*",
    "symfony/translation": "6.3.*",
    "symfony/twig-bundle": "6.3.*",
    "symfony/uid": "6.3.*",
    "symfony/validator": "6.3.*",
    "symfony/yaml": "6.3.*",
    "twig/cssinliner-extra": "^3.4",
    "twig/extra-bundle": "^3.4",
    "twig/inky-extra": "^3.4",
    "vincent/foselastica": "1.3.1",
    "webonyx/graphql-php": "^14.3",
    "xantios/mimey": "*"
  },
  "require-dev": {
    "cyclonedx/cyclonedx-php-composer": "^3.4",
    "dg/bypass-finals": "^1.4",
    "doctrine/doctrine-fixtures-bundle": "^3.4",
    "hautelook/alice-bundle": "^2.11",
    "justinrainbow/json-schema": "^5.2",
    "phpstan/extension-installer": "^1.2",
    "phpstan/phpstan": "^1.9",
    "phpstan/phpstan-doctrine": "^1.3",
    "phpstan/phpstan-phpunit": "^1.3",
    "phpstan/phpstan-symfony": "^1.2",
    "phpunit/phpunit": "^9.6",
    "rector/rector": "^0.15.13",
    "symfony/browser-kit": "6.3.*",
    "symfony/css-selector": "6.3.*",
    "symfony/debug-bundle": "6.3.*",
    "symfony/maker-bundle": "^1.48",
    "symfony/phpunit-bridge": "6.3.*",
    "symfony/stopwatch": "6.3.*",
    "symfony/web-profiler-bundle": "6.3.*",
    "timeweb/phpstan-enum": "^3.1",
    "zenstruck/foundry": "^1.31"
  },
  "config": {
    "optimize-autoloader": true,
    "preferred-install": {
      "*": "dist"
    },
    "sort-packages": true,
    "allow-plugins": {
      "cyclonedx/cyclonedx-php-composer": true,
      "symfony/flex": true,
      "phpstan/extension-installer": true
    }
  },
  "autoload": {
    "psr-4": {
      "App\\": "src/"
    },
    "classmap": [
      "vendor/opentalent/phpdocx/Classes/Phpdocx/Create/CreateDocx.php",
      "vendor/opentalent/phpdocx/Classes/Phpdocx/Create/CreateDocxFromTemplate.php"
    ]
  },
  "autoload-dev": {
    "psr-4": {
      "DataFixtures\\": "tests/Fixture",
      "App\\Tests\\": "tests/"
    }
  },
  "replace": {
    "paragonie/random_compat": "2.*",
    "symfony/polyfill-ctype": "*",
    "symfony/polyfill-iconv": "*",
    "symfony/polyfill-php72": "*",
    "symfony/polyfill-php71": "*",
    "symfony/polyfill-php70": "*",
    "symfony/polyfill-php56": "*"
  },
  "scripts": {
    "auto-scripts": {
      "cache:clear": "symfony-cmd",
      "assets:install %PUBLIC_DIR%": "symfony-cmd"
    },
    "post-install-cmd": [
      "@auto-scripts"
    ],
    "post-update-cmd": [
      "@auto-scripts"
    ]
  },
  "conflict": {
    "symfony/symfony": "*"
  },
  "extra": {
    "symfony": {
      "allow-contrib": false,
      "require": "6.3.*"
    },
    "phpstan": {
      "includes": [
        "extension.neon"
      ]
    }
  }
}
